%global commit  440ac762a8345038c8fceb9ef0751b4b4d472342 
%global shortcommit %(c=%{commit}; echo ${c:0:8})
Name:           eql5
Version:        0^28022022.440ac762
Release:        1%{?dist}
Summary:        ECL binding to Qt

License:        MIT
URL:            https://gitlab.com/eql/EQL5
Source:         %{url}/-/archive/%{commit}/EQL5-%{shortcommit}.tar.gz
# Move private libraries out of LD_LIBRARY_PATH
# https://gitlab.com/eql/EQL5/-/merge_requests/7
Patch:          private-libs.patch

BuildRequires:  chrpath
BuildRequires:  ecl
BuildRequires:  gcc-c++
BuildRequires:  qt5-qtbase-devel
BuildRequires:  qt5-qttools-devel
BuildRequires:  qt5-qttools-static
BuildRequires:  qt5-qtmultimedia-devel
BuildRequires:  qt5-qtquickcontrols2-devel
BuildRequires:  qt5-qtsvg-devel
BuildRequires:  qt5-qtwebengine-devel
# Do not build on architectures without qt5-qtwebengine
ExclusiveArch:  %{qt5_qtwebengine_arches}	

%description
Build desktop applications using Common Lisp and Qt.

%package        devel
Summary:        Development files
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
Development libraries and header files for EQL5.

%package        doc
Summary:        Documentation and examples
BuildArch:      noarch

%description    doc
Documentation and example files for EQL5.


%prep
%autosetup -p 1 -n EQL5-%{commit}


%build
pushd src
ecl -shell make.lisp
%qmake_qt5 eql5.pro
%make_build
popd

%install
pushd src
%make_install INSTALL_ROOT=%{buildroot}
popd
chrpath --delete %{buildroot}%{_bindir}/eql5

%files
%license LICENSE-1.MIT
%license LICENSE-2-MAKE-QIMAGE.txt
%doc README-1.md
%doc README-2-REBUILD.md
%doc README-3-KNOWN-ISSUES.md
%{_bindir}/eql5
%{_libdir}/libeql5.so.1
%{_libdir}/libeql5.so.1.0
%{_libdir}/libeql5.so.1.0.0
%dir %{_libdir}/eql5
%{_libdir}/eql5/libeql5_help.so
%{_libdir}/eql5/libeql5_quick.so
%{_libdir}/eql5/libeql5_svg.so
%{_libdir}/eql5/libeql5_multimedia.so
%{_libdir}/eql5/libeql5_webengine.so
%{_libdir}/eql5/libeql5_network.so
%{_libdir}/eql5/libeql5_sql.so
%doc examples/

%files devel
%dir %{_includedir}/eql5
%{_includedir}/eql5/*.h
%{_libdir}/libeql5.so

%files doc
%license LICENSE-1.MIT
%license LICENSE-2-MAKE-QIMAGE.txt
%doc doc/

%changelog
* Mon Jan 22 2024 Benson Muite <benson_muite@emailplus.org> - 0^28022022.440ac762-1
- Initial packaging
